[pkg-remote-commits] [xrdp] 03/10: Add xrdp-build-pulse-modules script.

Dominik George natureshadow-guest at moszumanska.debian.org
Fri Dec 15 10:50:24 UTC 2017


This is an automated email from the git hooks/post-receive script.

natureshadow-guest pushed a commit to branch master
in repository xrdp.

commit 7888c3126dba6b04b45417133ff8ad21aa605351
Author: Dominik George <nik at naturalnet.de>
Date:   Fri Dec 15 11:38:27 2017 +0100

    Add xrdp-build-pulse-modules script.
---
 debian/changelog                |  1 +
 debian/copyright                |  4 +++
 debian/xrdp-build-pulse-modules | 54 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 59 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 44ea939..9dcd981 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ xrdp (0.9.4-3) unstable; urgency=high
   * Fix (possibly exploitable) high CPU load in ssl_tls_accept.
   * Source /etc/profile in startwm. (Closes: #882246)
     + Thanks to Wolfgang Schweer!
+  * Add script to build PulseAudio modules.
 
  -- Dominik George <nik at naturalnet.de>  Fri, 15 Dec 2017 11:31:14 +0100
 
diff --git a/debian/copyright b/debian/copyright
index 97ec955..3f960c9 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -816,6 +816,10 @@ Files: debian/generate-keymap-rm-conffile.sh
 Copyright: Dominik George <nik at naturalnet.de>
 License: Expat
 
+Files: debian/xrdp-build-pulse-modules
+Copyright: 2017 Wolfgang Schweer <wschweer at arcor.de>
+License: GPL-2+
+
 Files: sesman/chansrv/pcsc/dumps/*
  instfiles/keymap-names.txt
  instfiles/km-*.ini
diff --git a/debian/xrdp-build-pulse-modules b/debian/xrdp-build-pulse-modules
new file mode 100755
index 0000000..8fca914
--- /dev/null
+++ b/debian/xrdp-build-pulse-modules
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+# Script to compile / recompile xrdp PulseAudio modules.
+# The caller needs to be root or a member of the sudo group.
+# Also, /etc/apt/sources.list must contain a valid deb-src line.
+#
+# (C) Wolfgang Schweer <wschweer at arcor.de> Nov 15 2017
+#
+# Published under the "GPL v2 or any later version" license.
+
+set -e
+
+if [[ $UID -ne 0 ]] ; then 
+    if ! groups | egrep -q sudo ; then
+        echo "ERROR: You need to be root or a sudo group member."
+        exit 1
+    fi
+fi
+
+if ! egrep -q  ^deb-src /etc/apt/sources.list ; then
+    echo "ERROR: Make sure /etc/apt/sources.list contains a deb-src line."
+    exit 1
+fi
+
+TMP=$(mktemp -d)
+PULSE_UPSTREAM_VERSION="$(dpkg-query -W -f='${source:Upstream-Version}' pulseaudio)"
+XRDP_UPSTREAM_VERSION="$(dpkg-query -W -f='${source:Upstream-Version}' xrdp)"
+sudo apt -q update
+
+# Get sources and build dependencies:
+sudo apt -q install dpkg-dev
+
+cd $TMP
+apt -q source pulseaudio xrdp
+sudo apt -q build-dep pulseaudio xrdp
+
+# For pulseaudio 'configure' is all what is needed:
+cd pulseaudio-$PULSE_UPSTREAM_VERSION/
+./configure
+
+# Adjust pulseaudio modules Makefile (needs absolute path)
+# and build the pulseaudio modules.
+cd $TMP/xrdp-$XRDP_UPSTREAM_VERSION/sesman/chansrv/pulse/
+sed -i 's/^PULSE/#PULSE/' Makefile
+sed -i "/#PULSE_DIR/a \
+PULSE_DIR = $TMP/pulseaudio-$PULSE_UPSTREAM_VERSION" Makefile
+make
+
+# Copy modules to Pulseaudio modules directory, adjust rights.
+sudo cp *.so /usr/lib/pulse-$PULSE_UPSTREAM_VERSION/modules/
+sudo chmod 644 /usr/lib/pulse-$PULSE_UPSTREAM_VERSION/modules/module-xrdp*
+
+# Restart xrdp, now with sound enabled.
+sudo service xrdp restart

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-remote/xrdp.git



More information about the pkg-remote-commits mailing list